<?php

function get_tipo_empleado($empleado_id) {
    $CI = &get_instance();
    $CI->load->model('departamentos_model');
    $departamentos = $CI->departamentos_model->get_departamentos_by_empleado_puesto_departamento_agrupado_by_empleado_id($empleado_id);
    if (count($departamentos) > 0) {
        $texto_abreviado = "";
        $areas = array(); //Departamentos hijos de direccion
        foreach ($departamentos as $departamento) {
            $area_id = _get_id_area($CI,$departamento);
            if (!in_array($area_id, $areas)) {
                $areas[] = $area_id;
            }
        }
        foreach ($areas as $area) {
            $texto_abreviado .= $CI->departamentos_model->get_departamento_nombre_by_id($area)[0];
        }
        return $texto_abreviado;
    } else {
        return "X";
    }
}

function _get_id_area($CI, $departamento) {
    if ($departamento['departamento_id'] === "1") { //Si es hijo directo de dirección
        return $departamento['id'];
    }
    $area_id = "0";
    while ($area_id === "0") {
        $departamento = $CI->departamentos_model->get_departamento_by_id($departamento['departamento_id']);
        if ($departamento['departamento_id'] === "1") {
            $area_id = $departamento['id'];
        }
    }
    return $area_id;
}
